Name:		superkaramba
Summary:	Put Karamba applets to the desktop with Python
Version: 4.9.3
Release: 1
Group:		Graphical desktop/KDE
License:	LGPLv2
URL:		http://www.kde.org/
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		superkaramba-4.8.4-plasma.patch
BuildRequires:	kdelibs4-devel >= 5:%{version}
BuildRequires:	qimageblitz-devel
BuildRequires:	python-devel

%description
SuperKaramba is a tool that allows you to easily create interactive
widgets on your KDE desktop.

%files
%{_kde_appsdir}/superkaramba
%{_kde_bindir}/superkaramba
%{_kde_iconsdir}/*/*/apps/superkaramba.*
%{_kde_datadir}/applications/kde4/superkaramba.desktop
%{_kde_libdir}/kde4/plasma_package_superkaramba.so
%{_kde_libdir}/kde4/plasma_scriptengine_superkaramba.so
%{_kde_datadir}/kde4/services/plasma-package-superkaramba.desktop
%{_kde_datadir}/kde4/services/plasma-scriptengine-superkaramba.desktop
%{_kde_datadir}/config/superkaramba.knsrc
%{_kde_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml

#---------------------------------------------

%define libsuperkaramba_major 4
%define libsuperkaramba %mklibname superkaramba %{libsuperkaramba_major}

%package -n %{libsuperkaramba}
Summary:	Runtime library for superkaramba
Group:		System/Libraries
URL:		http://utils.kde.org/projects/superkaramba

%description -n %{libsuperkaramba}
Runtime library for superkaramba

%files -n %{libsuperkaramba}
%{_kde_libdir}/libsuperkaramba.so.%{libsuperkaramba_major}*

#---------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	%{libsuperkaramba} = %{EVRD}

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_kde_libdir}/libsuperkaramba.so

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 4.9.3-1
+ Revision: 822157
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 4.9.2-1
+ Revision: 818290
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 4.9.0-1
+ Revision: 811815
- New release

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 4.8.97-1
+ Revision: 809451
- New release

* Sat Jun 09 2012 Andrey Bondrov <abondrov@mandriva.org> 4.8.4-2
+ Revision: 803884
- Add patch 0 to fix KDE bug 275383 (missing plasma background)
- Update BuildRequires, apply some cosmetics

  + Crispin Boylan <crisb@mandriva.org>
    - New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 4.8.3-1
+ Revision: 796337
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 4.8.2-1
+ Revision: 792097
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762509
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758094
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744573
- New upstream tarball
- New upstream tarball $NEW_VERSION

* Wed Nov 30 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 735578
- imported package superkaramba

